Bug 1808457 - Missing openapi CRD definitions for oc explain to work
Summary: Missing openapi CRD definitions for oc explain to work
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Machine Config Operator
Version: 4.4
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.4.0
Assignee: Yu Qi Zhang
QA Contact: Michael Nguyen
URL:
Whiteboard:
Depends On: 1705750
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-02-28 15:00 UTC by Yu Qi Zhang
Modified: 2020-05-04 11:44 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1705750
Environment:
Last Closed: 2020-05-04 11:43:34 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift machine-config-operator pull 1520 0 None closed Bug 1808457: [release-4.4] generate CRD manifests and fix for oc explain 2020-10-07 15:24:25 UTC
Red Hat Product Errata RHBA-2020:0581 0 None None None 2020-05-04 11:43:59 UTC

Comment 3 Michael Nguyen 2020-03-10 18:17:31 UTC
verified on 4.4.0-0.nightly-2020-03-06-141620

$ ./oc get clusterversion
NAME      VERSION                             AVAILABLE   PROGRESSING   SINCE   STATUS
version   4.4.0-0.nightly-2020-03-06-141620   True        False         44m     Cluster version is 4.4.0-0.nightly-2020-03-06-141620

$ oc explain controllerconfigs
KIND:     ControllerConfig
VERSION:  machineconfiguration.openshift.io/v1

DESCRIPTION:
     ControllerConfig describes configuration for MachineConfigController. This
     is currently only used to drive the MachineConfig objects generated by the
     TemplateController.

FIELDS:
   apiVersion	<string>
     APIVersion defines the versioned schema of this representation of an
     object. Servers should convert recognized schemas to the latest internal
     value, and may reject unrecognized values. More info:
     https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#resources

   kind	<string>
     Kind is a string value representing the REST resource this object
     represents. Servers may infer this from the endpoint the client submits
     requests to. Cannot be updated. In CamelCase. More info:
     https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds

   metadata	<Object>
     Standard object's metadata. More info:
     https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#metadata

   spec	<Object>
     ControllerConfigSpec is the spec for ControllerConfig resource.

   status	<Object>
     ControllerConfigStatus is the status for ControllerConfig

$ oc explain kubeletconfigs
KIND:     KubeletConfig
VERSION:  machineconfiguration.openshift.io/v1

DESCRIPTION:
     KubeletConfig describes a customized Kubelet configuration.

FIELDS:
   apiVersion	<string>
     APIVersion defines the versioned schema of this representation of an
     object. Servers should convert recognized schemas to the latest internal
     value, and may reject unrecognized values. More info:
     https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#resources

   kind	<string>
     Kind is a string value representing the REST resource this object
     represents. Servers may infer this from the endpoint the client submits
     requests to. Cannot be updated. In CamelCase. More info:
     https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds

   metadata	<Object>
     Standard object's metadata. More info:
     https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#metadata

   spec	<Object>
     KubeletConfigSpec defines the desired state of KubeletConfig

   status	<Object>
     KubeletConfigStatus defines the observed state of a KubeletConfig

$ oc explain machineconfigpools
KIND:     MachineConfigPool
VERSION:  machineconfiguration.openshift.io/v1

DESCRIPTION:
     MachineConfigPool describes a pool of MachineConfigs.

FIELDS:
   apiVersion	<string>
     APIVersion defines the versioned schema of this representation of an
     object. Servers should convert recognized schemas to the latest internal
     value, and may reject unrecognized values. More info:
     https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#resources

   kind	<string>
     Kind is a string value representing the REST resource this object
     represents. Servers may infer this from the endpoint the client submits
     requests to. Cannot be updated. In CamelCase. More info:
     https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds

   metadata	<Object>
     Standard object's metadata. More info:
     https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#metadata

   spec	<Object>
     MachineConfigPoolSpec is the spec for MachineConfigPool resource.

   status	<Object>
     MachineConfigPoolStatus is the status for MachineConfigPool resource.

$ oc explain machineconfigs
KIND:     MachineConfig
VERSION:  machineconfiguration.openshift.io/v1

DESCRIPTION:
     MachineConfig defines the configuration for a machine

FIELDS:
   apiVersion	<string>
     APIVersion defines the versioned schema of this representation of an
     object. Servers should convert recognized schemas to the latest internal
     value, and may reject unrecognized values. More info:
     https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#resources

   kind	<string>
     Kind is a string value representing the REST resource this object
     represents. Servers may infer this from the endpoint the client submits
     requests to. Cannot be updated. In CamelCase. More info:
     https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds

   metadata	<Object>
     Standard object's metadata. More info:
     https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#metadata

   spec	<Object>
     MachineConfigSpec is the spec for MachineConfig

$ oc explain mcoconfigs
the server doesn't have a resource type "mcoconfigs"

Comment 5 errata-xmlrpc 2020-05-04 11:43:34 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2020:0581


Note You need to log in before you can comment on or make changes to this bug.